Labels

Remove a label from a chat

Detaches a label from a chat for the connected account via a WhatsApp app-state patch. No request body is required.

DELETE
/chats/{jid}/labels/{labelId}

Detaches a label from a chat for the connected account via a WhatsApp app-state patch. No request body is required.

Authorization

bearerAuth
AuthorizationBearer <token>

Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.

In: header

Path Parameters

jid*string

Target chat JID (user or group).

labelId*string

Identifier of the label to remove.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/chats/5511999999999@s.whatsapp.net/labels/1"
{  "success": true,  "chat_jid": "5511999999999@s.whatsapp.net",  "label_id": "1",  "labeled": false}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}